searchData={"items":[{"type":"extras","title":"credo-ignore-file-plugin","doc":"# credo-ignore-file-plugin\n\nThis is a plugin for https://github.com/rrrene/credo. It allows you to ignore files from credo analysis by adding a `.credoignore` file to your project.","ref":"readme.html"},{"type":"extras","title":"Installation - credo-ignore-file-plugin","doc":"Add `credo_ignore_file_plugin` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:credo_ignore_file_plugin, , \"~> 0.1.0\", only: [:dev, :test]}\n  ]\nend\n```\n\nTo use it in Credo, add it to the list of plugins in .credo.exs:\n\n```elixir\n%{\n  configs: [\n    %{\n      name: \"default\",\n      plugins: [\n        {CredoIgnoreFilePlugin, []}\n      ]\n    }\n  ]\n}\n```\n\nNow generate a `.credoignore` file in the root of your project:\n\n```shell\nmix credo list --format json > .credoignore\n```\n\nNow when you run `mix credo` it will ignore the checks listed in `.credoignore`.","ref":"readme.html#installation"},{"type":"extras","title":"Contributing - credo-ignore-file-plugin","doc":"1. Fork it!\n2. Create your feature branch (git checkout -b my-new-feature)\n3. Commit your changes (git commit -am 'Add some feature')\n4. Push to the branch (git push origin my-new-feature)\n5. Create new Pull Request","ref":"readme.html#contributing"}],"content_type":"text/markdown"}